Skip to main content

WSIT and WCF Jun CTP Interop Bug

Posted by arungupta on July 14, 2006 at 5:24 PM PDT

One of WSIT user reported
an issue
with WCF June CTP in WSIT user
. And thus I tried installing the latest CTP from Microsoft. But as
always, there are different runtime and SDKs floating on the website
Lets see which one are required. 

The runtime components can be downloaded from here.
There is a separate link for .NET Framework 3.0 Runtime Components Beta2 for
Windows XP + SP2. But similar runtime components for Jun CTP are available for
Windows XP only, no SP2. This is confusing but I took "Jun CTP" in the
link name as the main indicator and hoped it was just a typo. Plug
and Pray
and yep, that was the correct runtime component.

The Windows SDK can be downloaded from here.
If I click on 3rd bullet to download Windows SDK, then this is SDK for Beta2 of
Vista and WinFX Runtime Components. This seemed incorrect but I still tried
installing it and hoping it was a typo as in the previous case. But nope, not
this time. Related
on the runtime website finally showed a link to the correct Windows

Why cant the runtime and SDK be published together in a consistent manner ?
Once again, here is the correct runtime
and SDK
that gives you the functionality of Jun CTP.

Now I can get back to my work. 

BTW, The svcutil
version is 3.0.4219.0.



Related Topics >>